#ifndef PROBIERE_H
#define PROBIERE_H

#include "solver.h"
#include "funktional.h"

class Probiere: public solver {
 public:
  Probiere(Funktional &f, double startX, double endX, double startY,
	   double endY, int sampleX, int sampleY, int interp);
  vector<double> solve(vector<double> &punkte);
  
private:
  Probiere();
  Probiere(const Probiere &);

  double probe(vector<double> &punkte);

  Funktional &f;
  double startX, endX, startY, endY;
  int sampleX, sampleY, interp;
  vector<double> tpunkte;
};
#endif
